---
title: 介绍
nav:
  title: 指南
  order: 1
---

### 技术栈

这是一个基本软件包列表，在您开始初始化项目之前，至少熟悉这些依赖包。 但是，查看依赖项完整列表的最佳方法是检查package.json

### Core
- [ ] [React](https://facebook.github.io/react/)
- [ ] [React Router](https://github.com/ReactTraining/react-router)
- [ ] [Redux](http://redux.js.org/)
- [ ] [redux-thunk](https://redux-saga.github.io/redux-saga/)
- [ ] [Reselect](https://github.com/reactjs/reselect)
- [ ] [Immutable](https://github.com/immutable-js/immutable-js)
- [ ] [React Hooks](https://github.com/alibaba/hooks.git)

### UI
- [ ] [Ant-Design](https://github.com/ant-design/ant-design)
- [ ] [pro-components](https://github.com/ant-design/pro-components) 
### Unit Testing

- [ ] [Jest](http://facebook.github.io/jest/)
- [ ] [react-testing-library](https://github.com/kentcdodds/react-testing-library)

### Linting

- [ ] [ESLint](http://eslint.org/)
- [ ] [Prettier](https://prettier.io/)
- [ ] [stylelint](https://stylelint.io/)

### commitlint
- [ ] [commitlint+husky](https://github.com/conventional-changelog/commitlint)
## 项目结构
- docs
- internals
- server
- src
    - components
    - containers
    - layouts
    - pages
    - routes
    - utils