"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _mousetrap = _interopRequireDefault(require("mousetrap"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var HandlerMap =
/*#__PURE__*/
function (_React$Component) {
  _inherits(HandlerMap, _React$Component);

  function HandlerMap() {
    _classCallCheck(this, HandlerMap);

    return _possibleConstructorReturn(this, _getPrototypeOf(HandlerMap).apply(this, arguments));
  }

  _createClass(HandlerMap, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var keyHandlerMap = this.props.keyHandlerMap;

      if (keyHandlerMap) {
        var mouse = this.mousetrap = _mousetrap["default"];
        var c = !0;
        var d = !1;
        var e = void 0;

        try {
          for (var f, g = keyHandlerMap.entries()[Symbol.iterator](); !(c = (f = g.next()).done); c = !0) {
            var value = f.value;
            mouse.bind(value[0], value[1]);
          }
        } catch (e) {
          d = !0;
          e = mouse;
        } finally {
          try {
            !c && g["return"] && g["return"]();
          } finally {
            if (d) {
              throw e;
            }
          }
        }
      }
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      this.mousetrap && this.mousetrap.reset() && (this.mousetrap = null);
    }
  }, {
    key: "render",
    value: function render() {
      return this.props.children;
    }
  }]);

  return HandlerMap;
}(_react["default"].Component);

exports["default"] = HandlerMap;
HandlerMap.propTypes = {
  keyHandlerMap: _propTypes["default"].object,
  children: _propTypes["default"].node
};