import React from 'react';

import {
  Button,
  Result,
} from 'antd';

export default (props) => {
  return (
    <Result
        status="404"
        title="404"
        style={{
          background: 'none',
        }}
        subTitle={props.message || (history.state && history.state.message) || "Sorry, the page you visited does not exist."}
        extra={
            <Button type="primary">Back Home</Button>
        }
    />
  )
};