import React from 'react';

import {
  Button,
  Result,
} from 'antd';

export default (props) => (
  <Result
    status="500"
    title="500"
    style={{
      background: 'none',
    }}
    subTitle={props.message || (history.state && history.state.message) || "Sorry, the server is reporting an error."}
    extra={
        <Button type="primary">Back Home</Button>
    }
  />
);